Subject: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Robin Lee Powell <[email-masked]>
Date: Mon, 27 Jan 2003 15:52:18 -0800

On Mon, Jan 27, 2003 at 11:29:53PM +0000, Martin Bays wrote:
> Sorry I'm so late to reply - I haven't been getting list emails since
> saturday, just happened to amble onto the Yahoo version. I don't
> remember offending anyone enough to motivate them to chuck me off the
> list... did I?

freeshell.org wasn't resolving; probably the SQL worm. You should have
recieved ~8 mails from the list several hours ago.

> 'Scuse weird formatting - copy&pasted from Yahoo

Since the formatting is so icky, I'm dropping anything I have no
important commentary on.

> > Actually, I've just discovered that jo'e, ku'a and pi'u have rafsi
> (jom,
> > kuz and piv) - though I'm not sure what to stick them to. I guess
> selcmi
> > would have to do.
> 
> <nod> That still leaves us without set difference, but vlinyselcmi
> will do.
> 
> Sorry? vlinyselcmi was meant to be union. Actually, wouldn't plain
> vicmu do for set difference?

Oh, oops. I'm not sure I would want *plain* vicmu, but certianly
vicyselcmi is fine.

> > NN gives lujvo for the first two (selcmipi'i and
> > sosyselcmipi'i). We might just want to have the second, since
> > the first is a special case. The third, continuing the
> > pattern, would I guess be sorselcmipi'i, with place structure
> > "x1 is the intersection over x2" - i.e.
> >
> > go ca'e ko'a sorselcmipi'i ko'e
> > gi ro da zo'u
> > go da cmima ko'a gi da cmima ro de poi cmima ko'e
> 
> IFF I define X as the intersection over the set of sets? Y, then
> for all x, IFF x is a member of X then x is a member of all y
> which are members of Y.
> 
> Yep.

Hey, it's cool that that worked. 8)

> Perhaps that "da cmima ro de" should be "da dunli de" (x is
> equal to one of the sets in Y)?
> 
> Nope. That would mean something is in ko'a iff it's in ko'e - i.e.
> ko'a == ko'e (by extensionality).
> 
> Maybe a simple example would help -
> A (intersection) B == (Big intersection) {A,B}
> 
> Something is in A (intersection) B iff it's in A and it's in B - i.e. iff
> it's in everything which is in {A,B}.

Yeah, Nick's paper went over this as well.

> > Any idea, for example, how best to translate ('scuse amateur ASCII
> > graphics):
> >
> > | |
> > | | A
> > \_/ i
> > i in I
> >
> > ("The union over I of A sub i"), which is the same as
> >
> > | |
> > | | {A : i in I}
> > \_/ i
> >
> > where that big union is my sorselcmipi'i (or sorkuzselcmi)? Do
> > we need yet another lujvo, or is there a nice translation of
> > that set? I don't think {lu'i .abu boi xi .ibu poi .ibu cmima
> > tau .ibu} really works.
> 
> The set of A_i where i is a member of I. Looks fine to me.
> 
> Really? Cool. I'm still not sure I like it, though, if only because
> I'm not completely sure how quantification with letterals (and other
> non-DA pro-sumti) really works. And also what poi-clauses without a
> ke'a mean. 

Same as the same poi clause with ke'a as the first entry.

> Are they really just the equivalent of the English "such that", or the
> mathematical "s.t."/":"/"|"? 

When attached to da and friends, yes.

> Don't suppose you could point me towards something which explains it
> all?

It's in the red book somewhere. 8)

Chapter 16, S4.

> > Clues, anyone?
> 
> I think "sorkuzselcmi .abu boi xi da poi ro cmima tau .ibu"
> works a bit better. Except it doesn't, because apparently you
> can't have xi da, which is disturbing. 8P
> 
> I know, which is one reason why I wish I understood letteral
> quantification. Also - your poi clause isn't a bridi, and I can't work
> out for sure what it was meant to be. {ro da cmima...}? Does that
> work?

I think I meant romei. Or something.

> > > > > > > I would like to translate something mathematical and
> > > > > > > substantial; got any contacts that would like to let
> > > > > > > us release a translated paper?
> > > > > >
> > > > > > Ummm... I guess I could ask someone. Can you be more
> > > > > > specific? Do you just want some random high-powered
> > > > > > maths research?
> > > > >
> > > > > What I'd *really* like to do would be a textbook (or,
> > > > > more likely, a portion thereof), precisely for reasons
> > > > > of comprehensibility.
> > > > >
> > > >
> > > > That's actually a very good idea. What kind of subject do
> > > > you want? I (very very vaguely) know the author of a
> > > > nice+simple complex analysis book, which should be suited
> > > > to mex. Or else name a subject and I'll see what I can do.
> > >
> > > Complex analysis would be cool. I'd also enjoy cryptography,
> > > set theory, or subatomic physics. Game theory would be hella
> > > cool.
> > >
> > > Hmmm...
> > >
> > > My old Cryptography professor might actually be willing to
> > > let me do his book. I was supremely fortunate to have
> > > [28]http://www.cacr.math.uwaterloo.ca/~ajmeneze/ as my
> > > crypto prof.
> > >
> > > Unfortunately, Handbook of Applied is already freely
> > > available, which defeats part of my idea (translate
> > > something that people wouldn't be able to easily get in
> > > English, at least without paying, and might actually want).
> > >
> >
> > I'm afraid I don't have any tutors/lecturers who've written
> > anything especially cool... but if the crypto thing doesn't
> > work out give me a shout and I'll see if I can do 'owt.
> 
> 'owt?
> 
> Sorry, couldn't resist continuing the inadvertant rhyming. (It's the
> opposite of "nowt", if that was a ki'a) (except maybe it should just
> be "owt").
> 
> Well, if you don't mind giving a shot at the complex analysis
> thing, I'd appreciate it.
> 
> Then I will.
> 
> I'll mail my crypto prof about his Elliptic Curves book, if
> anyone's interested in reading a book on elliptic curve cyphers.
> 8)
> 
> In lojban? Of course!

Well, would anyone else be interested I wonder. 8)

> BTW, I'm nearly done with
> 
> [29]http://www.digitalkingdom.org/~rlpowell/hobbies/lojban/algebra.txt
> 
> Pretty impressive. Which I guess is a compliment to Nick's translation
> skills, your translation skills, and the ability of Lojban to
> represent maths. Huzzah all round!

Woohoo! So it matches the original OK, then?

I've been told I have moderately scary abilities at back-translation; I
think it was Jay who said that.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi